Mask image/x-png as image/png
Description

Internet Explorer uploads PNG files with content type image/x-png, while the official content type is image/png. This is no big deal but
Google Chrome doesn't interpret image/x-png as a PNG image and downloads it as if it were an octet stream.

A proposed patch is attached. I've modified the attachments controller to report image/x-png as image/png when serving attachments
so that Chrome correctly shows the image inline.

This code could also have gone into the upload part, but | felt it was a bad idea to modify the database for this. There's a test
included but | couldn't easily get the tests to run so it is untested.

Based on trunk r2792.

History

#1 - 2011-06-04 11:57 - Toshi MARUYAMA

- Status changed from New to Closed

| can see inline image in Google Chrome 11.0.696.71.

#2 - 2012-12-14 13:53 - Rodrigo Rosenfeld Rosas

| can confirm this bug and it is still present. | also didn't understand why it didn't happen in my local Redmine instance but it happened on production

but now | see that the reason is that IE8 is being used by the reporter, thanks!

#3 - 2013-09-06 04:31 - Toshi MARUYAMA

- Status changed from Closed to Reopened

#4 - 2013-09-06 04:32 - Toshi MARUYAMA
Reopen request #14856.

#5 - 2013-09-06 20:10 - Rodrigo Rosenfeld Rosas

To reproduce this, just attach a PNG image using IE8 and try to click on it on Chrome and it will ask you to download it instead of displaying it.

#6 - 2015-10-03 05:44 - Go MAEDA

- Status changed from Reopened to Closed

No problem in Chrome 45.0.2454.101. Chrome now supports image/x-png.
https://codereview.chromium.org/264043018
